From 5f7abd0367c26bf11d43f89a9b2645c155e4aa8d Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 30 Mar 2009 16:09:22 +0530
Subject: [PATCH] oprofile: Include support for ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 oprofile.spec |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/oprofile.spec b/oprofile.spec
index 2628fa7..8955233 100644
--- a/oprofile.spec
+++ b/oprofile.spec
@@ -3,7 +3,7 @@
 Summary: System wide profiler
 Name: oprofile
 Version: 0.9.4
-Release: 3%{?dist}
+Release: 3%{?dist}.fa1
 License: GPLv2
 Group: Development/System
 #
@@ -16,7 +16,12 @@ Patch83: oprofile-0.9.3-xen.patch
 #Patch100: oprofile-gcc43.patch
 URL: http://oprofile.sf.net
 
-ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x alpha alphaev6 sparcv9 sparc64
+%define build_java 1
+%ifarch %{arm}
+%define build_java 0
+%endif
+
+ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x alpha alphaev6 sparcv9 sparc64 %{arm}
 BuildRequires: qt3-devel
 BuildRequires: libxslt
 BuildRequires: docbook-style-xsl
@@ -27,9 +32,11 @@ BuildRequires: automake
 BuildRequires: libtool
 BuildRequires: binutils-devel
 BuildRequires: popt-devel
+%if %{build_java}
 BuildRequires: java-devel
 BuildRequires: jpackage-utils
 BuildRequires: java-1.6.0-openjdk-devel
+%endif
 
 BuildRoot: %{_tmppath}/%{name}-root
 
@@ -60,6 +67,7 @@ Requires: oprofile = %{version}-%{release}
 
 The oprof_start GUI for oprofile.
 
+%if %{build_java}
 %package jit
 Summary: Libraries required for profiling Java and other JITed code
 Group: Development/System
@@ -73,6 +81,7 @@ Requires: /etc/ld.so.conf.d
 %description jit
 This package includes a base JIT support library, as well as a Java
 agent library.
+%endif
 
 
 %prep
@@ -112,7 +121,11 @@ CXXFLAGS=-g;     export CXXFLAGS
 --with-separate-debug-dir=/usr/lib/debug \
 --enable-abi \
 --with-qt-dir=$QTDIR \
+%if %{build_java}
 --with-java=/usr/lib/jvm/java
+%else
+
+%endif
 
 make CFLAGS="$RPM_OPT_FLAGS"
 
@@ -212,12 +225,14 @@ exit 0
 
 %{_bindir}/oprof_start
 
+%if %{build_java}
 %post jit -p /sbin/ldconfig
 
 %postun jit -p /sbin/ldconfig
 
 %files jit
 %defattr(-,root,root)
+%endif
 
 %{_libdir}/oprofile
 /etc/ld.so.conf.d/*
-- 
1.5.3.4

